ATA_SCSI_HOTPLUG(9)

NAME
ata_scsi_hotplug - SCSI part of hotplug

SYNOPSIS

void ata_scsi_hotplug(struct work_struct * work);

ARGUMENTS

work
    Pointer to ATA port to perform SCSI hotplug on

DESCRIPTION

Perform SCSI part of hotplug. It's executed from a separate workqueue after EH completes. This is necessary because SCSI hot plugging requires working EH and hot unplugging is synchronized with hot plugging with a mutex.

LOCKING

Kernel thread context (may sleep).

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT